
insert into instalacao_log(ds_passo) values ('passo 254');

-- Plano de contas padrão da venda rapida 
insert into erpc_parametros (ds_parametro, ds_valor, st_ativo)
	values	(
        'pln_cta_venda_rapida'
        ,1
        ,1);

insert into instalacao_log(ds_passo) values ('passo 255');		
ALTER TABLE erpc_financeiro_bancos
	add column id_usuario int(11);
    
insert into instalacao_log(ds_passo) values ('passo 256');
ALTER TABLE erpc_financeiro_bancos
ADD CONSTRAINT fk_erpc_financeiro_bancos_erpc_usuarios
FOREIGN KEY (id_usuario) REFERENCES erpc_usuarios(id);

insert into instalacao_log(ds_passo) values ('passo 257');
ALTER TABLE erpc_financeiro_bancos
	add column dh_alteracao datetime;

	insert into instalacao_log(ds_passo) values ('passo 258');
insert into erpc_financeiro_plano_classe (ds_classe, st_ativo)
	values 	 ('RECEITA', 1)
			,('DESPESA', 1);
			
insert into instalacao_log(ds_passo) values ('passo 259');
insert into erpc_financeiro_plano_condicao (ds_condicao, st_ativo)
	values	 ('A VISTA', 1)
			,('Cheque', 1);
			
insert into instalacao_log(ds_passo) values ('passo 260');
INSERT INTO `erpc_financeiro_status_baixa` (`id`, `ds_baixa`, `st_ativo`) VALUES
(1, 'Baixado', 1),
(2, 'Aberto', 1);
								
insert into instalacao_log(ds_passo) values ('passo 261');
CREATE TABLE `erpc_financeiro_tipos_conta` (
  `id` int(11) NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `ds_tipo` varchar(255) DEFAULT NULL,
  `st_ativo` tinyint(1) DEFAULT NULL
);

insert into instalacao_log(ds_passo) values ('passo 262');
INSERT INTO `erpc_financeiro_tipos_conta` (`id`, `ds_tipo`, `st_ativo`) VALUES
(1, 'Conta Corrente', 1),
(2, 'Conta Salário', 1),
(3, 'Conta Poupança', 1);

insert into instalacao_log(ds_passo) values ('passo 263');
INSERT INTO `erpc_financeiro_tipos_titulo` (`id`, `ds_tipo_titulo`, `st_ativo`) VALUES
(1, 'Receber', 1),
(2, 'Pagar', 1);

insert into instalacao_log(ds_passo) values ('passo 264');
CREATE TABLE `erpc_financeiro_contas_bancarias` (
  `id` int(11) NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `id_banco` int(11) DEFAULT NULL,
  `id_tipo_conta` int(11) DEFAULT NULL,
  `ds_conta` varchar(45) DEFAULT NULL,
  `vl_saldo_estimado` decimal(10,2) DEFAULT NULL,
  `st_ativo` tinyint(1) DEFAULT NULL
);

insert into instalacao_log(ds_passo) values ('passo 265');
ALTER TABLE `erpc_financeiro_contas_bancarias`
  ADD KEY `id_banco` (`id_banco`),
  ADD KEY `id_tipo_conta` (`id_tipo_conta`);

insert into instalacao_log(ds_passo) values ('passo 266');
ALTER TABLE `erpc_financeiro_contas_bancarias`
  ADD CONSTRAINT `erpc_financeiro_contas_bancarias_ibfk_1` FOREIGN KEY (`id_banco`) REFERENCES `erpc_financeiro_bancos` (`id`),
  ADD CONSTRAINT `erpc_financeiro_contas_bancarias_ibfk_2` FOREIGN KEY (`id_tipo_conta`) REFERENCES `erpc_financeiro_tipos_conta` (`id`);
  
insert into instalacao_log(ds_passo) values ('passo 267');
ALTER TABLE erpc_financeiro_lancamentos add column id_documento_saida int(11);

insert into instalacao_log(ds_passo) values ('passo 268');